Tasks
Import into a task
POST
/
tasks
/
{id}
/
import
Import into a task
curl --request POST \
--url https://slog.ai/tasks/{id}/import \
--header 'Content-Type: application/json' \
--header 'slog-api-key: <api-key>' \
--data '
{
"data": "<unknown>",
"update": false
}
'import requests
url = "https://slog.ai/tasks/{id}/import"
payload = {
"data": "<unknown>",
"update": False
}
headers = {
"slog-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'slog-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: '<unknown>', update: false})
};
fetch('https://slog.ai/tasks/{id}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"imported": {
"id": "task_01jqabcd1111",
"reference": "ENG-42",
"title": "Implement OAuth login",
"description": "Support Google and GitHub as providers.",
"dueDate": "2026-06-15",
"teamId": "team_01jqteam0001",
"team": {
"id": "team_01jqteam0001",
"name": "Engineering",
"prefix": "ENG"
},
"projectId": "proj_01jqproj0001",
"parentId": null,
"assigneeId": "user_01jquser0001",
"assignee": {
"id": "user_01jquser0001",
"name": "Alex Johnson",
"email": "[email protected]",
"avatarUrl": null,
"humanId": null
},
"labels": [
{
"id": "label_01jqlabel001",
"name": "bug",
"color": "#EF4444"
}
],
"createdAt": "2026-05-01T10:00:00.000Z",
"updatedAt": "2026-05-10T14:30:00.000Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Requires ADMIN or OWNER role"
}
}Authorizations
ApiKeyBearerToken
API key obtained from the Slog dashboard or returned by the signup/invite-redeem
flows. Pass as the slog-api-key header.
Path Parameters
Resource ID (UPID) or, for tasks and projects, the human-readable reference such
as ENG-42.
Body
application/json
Response
Imported record.
Show child attributes
Show child attributes
⌘I
Import into a task
